%define upstream_name    LWP-Protocol-Net-Curl
%define upstream_version 0.027

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The power of libcurl in the palm of your hands!
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::Protocol)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::Curl)
BuildRequires: perl(Test::HTTP::Server)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
Drop-in replacement for LWP, WWW::Mechanize, and
their derivatives to use Net::Curl as a backend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
rm -f t/06*.t
%make_build test

%install
%make_install

%files
%doc LICENSE SIGNATURE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.27.0-2.mga10
+ Revision: 2234450
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.27.0-1.mga10
+ Revision: 2141579
- update to 0.027

* Mon Mar 28 2022 umeabot <umeabot> 0.26.0-2.mga9
+ Revision: 1830298
- Mageia 9 Mass Rebuild

* Fri May 22 2020 shlomif <shlomif> 0.26.0-1.mga8
+ Revision: 1586871
- fix grammar
- cpan2dist


* Fri May 22 2020 cpan2dist 0.026-1mga
- initial mageia release, generated with cpan2dist
